# versions of subpackages
%define cardsver 060510
%define samplerver 070711
%define redgaver 060517
%define redgrainver 060509
%define redmod 080206

Summary: Fredrik Olofsson Red SuperCollider classes
Name: supercollider-redclasses
Version: 0.0
Release: 3%{?dist}
License: LGPL
Group: Applications/Multimedia
URL: http://www.fredrikolofsson.com/pages/code-sc.html
Source0: http://www.fredrikolofsson.com/software/redCards%{cardsver}.zip
Source1: http://www.fredrikolofsson.com/software/RedExcel.tar.gz
Source2: http://www.fredrikolofsson.com/software/redSampler%{samplerver}.tar
Source3: http://www.fredrikolofsson.com/software/redGA%{redgaver}.zip
Source4: http://www.fredrikolofsson.com/software/redGrain%{redgrainver}.zip
Source5: http://www.fredrikolofsson.com/software/RedMOD%{redmod}.tar.gz

# Pca is not a zip or tar package, just the files, see:
# http://swiki.hfbk-hamburg.de:8888/MusicTechnology/760
# version 050612
Source6: http://swiki.hfbk-hamburg.de:8888/MusicTechnology/uploads/760/Pca1.help.rtf
Source7: Pca1.sc
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: supercollider
Distribution: Planet CCRMA
Vendor: Planet CCRMA
Packager: Fernando Lopez-Lezcano

%description
A collection of SuperCollider classes authored by Fredrik
Olofsson. Currently includes redCards (deal with playing cards),
redExcel (class for formatting strings), redSampler ('giga'
sampler for supercollider. preloads a bit of the beginning of all the
soudfiles and streams the rest from disk when needed. useful for
massive sample libraries that will not fit in ram), RedGA (genetic
algorithms. breed synths in sc. includes RedGAPhenome for translating
an array of floats into a synthdef), RedGrain (some classes for server
and language side grain synthesis) and PCa (pattern class for 1d
cellular automata).

%prep
%setup -q -c -T -n RedClasses
%{__mkdir} -p redCards
cd redCards
unzip %{SOURCE0}
cd ../
%{__mkdir} -p RedExcel
cd RedExcel
tar xzf %{SOURCE1}
cd ../
%{__mkdir} -p RedSampler
cd RedSampler
tar xf %{SOURCE2}
cd ../
%{__mkdir} -p redGA
cd redGA
unzip %{SOURCE3}
cd ../
%{__mkdir} -p redGrain
cd redGrain
unzip %{SOURCE4}
cd ../
%{__mkdir} -p redMOD
cd redMOD
tar xzf %{SOURCE5}
cd ../

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_datadir}/SuperCollider/Extensions
%{__mkdir} -p %{buildroot}%{_datadir}/SuperCollider/Help

# install classes and help files for all packages
# RedCards
%{__mkdir} -p %{buildroot}%{_datadir}/SuperCollider/Extensions/RedCards
%{__cp} -p redCards/redCards%{cardsver}/classes/RedCards.sc \
	 %{buildroot}%{_datadir}/SuperCollider/Extensions/RedCards
%{__mkdir} -p %{buildroot}%{_datadir}/SuperCollider/Help/RedCards
%{__cp} -p redCards/redCards%{cardsver}/help/*.rtf \
	 %{buildroot}%{_datadir}/SuperCollider/Help/RedCards
# RedExcel
%{__mkdir} -p %{buildroot}%{_datadir}/SuperCollider/Extensions/RedExcel
%{__cp} -p RedExcel/*.sc \
	 %{buildroot}%{_datadir}/SuperCollider/Extensions/RedExcel
%{__mkdir} -p %{buildroot}%{_datadir}/SuperCollider/Help/RedExcel
%{__cp} -p RedExcel/*.rtf \
	 %{buildroot}%{_datadir}/SuperCollider/Help/RedExcel
# RedSampler
%{__mkdir} -p %{buildroot}%{_datadir}/SuperCollider/Extensions/RedSampler
%{__cp} -p RedSampler/redSampler%{samplerver}/*.sc \
	 %{buildroot}%{_datadir}/SuperCollider/Extensions/RedSampler
%{__mkdir} -p %{buildroot}%{_datadir}/SuperCollider/Help/RedSampler
%{__cp} -p RedSampler/redSampler%{samplerver}/*.htm \
	 %{buildroot}%{_datadir}/SuperCollider/Help/RedSampler
# RedGA
%{__mkdir} -p %{buildroot}%{_datadir}/SuperCollider/Extensions/RedGA
%{__cp} -p redGA/redGA060517/classes/*.sc \
	 %{buildroot}%{_datadir}/SuperCollider/Extensions/RedGA
%{__mkdir} -p %{buildroot}%{_datadir}/SuperCollider/Help/RedGA
%{__cp} -p redGA/redGA060517/help/*.rtf \
	 %{buildroot}%{_datadir}/SuperCollider/Help/RedGA
# RedGrain
%{__mkdir} -p %{buildroot}%{_datadir}/SuperCollider/Extensions/RedGrain
%{__cp} -p redGrain/redGrain060509/classes/*.sc \
	 %{buildroot}%{_datadir}/SuperCollider/Extensions/RedGrain
%{__mkdir} -p %{buildroot}%{_datadir}/SuperCollider/Help/RedGrain
%{__cp} -p redGrain/redGrain060509/help/*.rtf \
	 %{buildroot}%{_datadir}/SuperCollider/Help/RedGrain
# RedMOD
%{__mkdir} -p %{buildroot}%{_datadir}/SuperCollider/Extensions/RedMOD
%{__cp} -p redMOD/RedMOD/*.sc \
	 %{buildroot}%{_datadir}/SuperCollider/Extensions/RedMOD
%{__mkdir} -p %{buildroot}%{_datadir}/SuperCollider/Help/RedMOD
%{__cp} -p redMOD/RedMOD/*.htm \
	 %{buildroot}%{_datadir}/SuperCollider/Help/RedMOD
%{__cp} -p redMOD/RedMOD/*.rtf \
	 %{buildroot}%{_datadir}/SuperCollider/Help/RedMOD
# Pca1
%{__mkdir} -p %{buildroot}%{_datadir}/SuperCollider/Extensions/Pca1
%{__cp} -p %{SOURCE7} \
	 %{buildroot}%{_datadir}/SuperCollider/Extensions/Pca1
%{__mkdir} -p %{buildroot}%{_datadir}/SuperCollider/Help/Pca1
%{__cp} -p %{SOURCE6} \
	 %{buildroot}%{_datadir}/SuperCollider/Help/Pca1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_datadir}/SuperCollider/Extensions/*
%{_datadir}/SuperCollider/Help/*

%changelog
* Tue Jul  7 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- create x86_64 packages

* Tue Apr 15 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0-3
- added redMOD

* Mon Jul 30 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0-2
- updated redDiskInSampler, name changed to redSampler, version 070711

* Mon Feb  5 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0-1
- initial build
